package com.fuyuanshen.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fuyuanshen.modules.system.domain.Device;
import com.fuyuanshen.modules.system.domain.dto.DeviceQueryCriteria;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/16
 **/
@Mapper
public interface DeviceMapper extends BaseMapper<Device> {

    /**
     * 分页查询设备
     *
     * @param criteria
     * @param page
     * @return
     */
    IPage<Device> findAll(@Param("criteria") DeviceQueryCriteria criteria, Page<Object> page);

    List<Device> findAll(@Param("criteria") DeviceQueryCriteria criteria);

    List<Device> findAllDevices(@Param("criteria") DeviceQueryCriteria criteria);

}
