package com.fuyuanshen.modules.system.domain.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author: 默苍璃
 * @date: 2025-06-1213:49
 */
@Getter
@Setter
public class UserQuery implements Serializable {

    @ApiModelProperty(value = "ID", hidden = true)
    private Long id;

    @ApiModelProperty(value = "父级ID", hidden = true)
    private Long pid;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "账号")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "手机号（APP登录）")
    private String phoneNumber;

}
